Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages
[Java] Class GroovyPageUtils

    java.lang.Object
      org.codehaus.groovy.grails.web.pages.GroovyPageUtils

    @Deprecated
    public class GroovyPageUtils
    extends java.lang.Object

Methods to establish template names, paths and so on. Replaced by GroovyPagesUriService / GroovyPagesUriSupport

deprecated:
  @see DefaultGroovyPagesUriService

Authors:
  Graeme Rocher

See Also:
  GroovyPagesUriSupport

Since:
  1.1.1

Field Summary
`static java.lang.String` | `PATH_TO_VIEWS`

Method Summary
`static java.lang.String` | `getDeployedViewURI(java.lang.String controllerName, java.lang.String viewName)` Obtains a view URI when deployed within the /WEB-INF/grails-app/views context
`static java.lang.String` | `getNoSuffixViewURI(groovy.lang.GroovyObject controller, java.lang.String viewName)` Obtains a view URI of the given controller and view name without the suffix
`static java.lang.String` | `getNoSuffixViewURI(java.lang.String controllerName, java.lang.String viewName)` Obtains a view URI of the given controller name and view name without the suffix
`static java.lang.String` | `getTemplateURI(groovy.lang.GroovyObject controller, java.lang.String templateName)` Obtains a template URI for the given controller instance and template name
`static java.lang.String` | `getTemplateURI(java.lang.String controllerName, java.lang.String templateName)` Obtains the URI to a template using the controller name and template name
`static java.lang.String` | `getViewURI(groovy.lang.GroovyObject controller, java.lang.String viewName)` Obtains a view URI of the given controller and view name
`static java.lang.String` | `getViewURI(java.lang.String controllerName, java.lang.String viewName)` Obtains a view URI of the given controller name and view name

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### PATH_TO_VIEWS

    public static final java.lang.String PATH_TO_VIEWS

Method Detail

### getDeployedViewURI

    public static java.lang.String getDeployedViewURI(java.lang.String controllerName, java.lang.String viewName)

  Obtains a view URI when deployed within the /WEB-INF/grails-app/views context
  Parameters:
    `controllerName` - The name of the controller
    `viewName` - The name of the view
  Returns:
    The view URI

### getNoSuffixViewURI

    public static java.lang.String getNoSuffixViewURI(groovy.lang.GroovyObject controller, java.lang.String viewName)

  Obtains a view URI of the given controller and view name without the suffix
  Parameters:
    `controller` - The name of the controller
    `viewName` - The name of the view
  Returns:
    The view URI

### getNoSuffixViewURI

    public static java.lang.String getNoSuffixViewURI(java.lang.String controllerName, java.lang.String viewName)

  Obtains a view URI of the given controller name and view name without the suffix
  Parameters:
    `controllerName` - The name of the controller
    `viewName` - The name of the view
  Returns:
    The view URI

### getTemplateURI

    public static java.lang.String getTemplateURI(groovy.lang.GroovyObject controller, java.lang.String templateName)

  Obtains a template URI for the given controller instance and template name
  Parameters:
    `controller` - The controller instance
    `templateName` - The template name
  Returns:
    The template URI

### getTemplateURI

    public static java.lang.String getTemplateURI(java.lang.String controllerName, java.lang.String templateName)

  Obtains the URI to a template using the controller name and template name
  Parameters:
    `controllerName` - The controller name
    `templateName` - The template name
  Returns:
    The template URI

### getViewURI

    public static java.lang.String getViewURI(groovy.lang.GroovyObject controller, java.lang.String viewName)

  Obtains a view URI of the given controller and view name
  Parameters:
    `controller` - The name of the controller
    `viewName` - The name of the view
  Returns:
    The view URI

### getViewURI

    public static java.lang.String getViewURI(java.lang.String controllerName, java.lang.String viewName)

  Obtains a view URI of the given controller name and view name
  Parameters:
    `controllerName` - The name of the controller
    `viewName` - The name of the view
  Returns:
    The view URI

Groovy Documentation